Subject: Re: bug#6805: 24.0.50; package--dir assumes that Emacs is installed

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sun, 8 Aug 2010 22:49:32 +0000

On Sun, Aug 8, 2010 at 22:02, Chong Yidong <[email-masked]> wrote:
> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>
>> On a fresh Emacs checkout from git://repo.or.cz/emacs.git on both
>> Debian GNU/Linux testing and Debian GNU/kFreeBSD unstable doing:
>>
>>     mkdir ~/g
>>     git clone git://repo.or.cz/emacs.git &&
>>     cd emacs &&
>>     make -j 10 bootstrap &&
>>     make
>>
>> followed by:
>>
>>     src/emacs
>>
>> will display, in the echo area:
>>
>>     "Internal error: could not find directory for package-1.0"
>
> I don't see any error message with the Bzr repository; I don't know
> about the unofficial git repository you are using.  You could try with
> an empty .emacs file and no .emacs.d directory.

I should have tried with -Q, it turns out that I had this in my ~/.emacs:

    (setq package-activated-list nil)

I was defining it because a package I was using used it, but I hadn't
tried my ~/.emacs on Emacs trunk, so it wasn't compatible with a Emacs
that has package.el built-in.

Sorry about the noise. I think this bug can be closed.